#ifndef CHESSY_EVALUATE_H
#define CHESSY_EVALUATE_H


#include "BitBoard.h"

namespace chessy
{
    using MoveValue = float;


    // forward declaration
    class ChessGame;

    namespace values
    {
        extern const MoveValue PAWN;
        extern const MoveValue KNIGHT;
        extern const MoveValue BISHOP;
        extern const MoveValue ROOK;
        extern const MoveValue QUEEN;
    }

    template<Side side>
    MoveValue evaluatePositives(const ChessGame& game);

    MoveValue evaluate(const ChessGame& game);
}



#endif // CHESSY_EVALUATE_H

